Mailrelay API Reference

List media files in trash

GET https://{account}/api/v1/media_files/trashed

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

List media files in trash

Parameters

NameTypeRequiredDescription
page integer No Page number
per_page integer No Number of records per page
q[id_eq] integer No Search: ID equals
q[id_gteq] integer No Search: ID greater than or equal to
q[id_lteq] integer No Search: ID less than or equal to
q[media_folder_id_eq] integer No Search: Media folder equals
q[media_folder_id_gteq] integer No Search: Media folder greater than or equal to
q[media_folder_id_lteq] integer No Search: Media folder less than or equal to
q[media_file_name_eq] string No Search: Filename equals
q[media_file_name_cont] string No Search: Filename contains
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "id desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
media_folder_id integer Media folder
url string Url
thumb_url string Thumb url
media_file_name string Filename
media_content_type string File content type
media_file_size integer File size
width integer Width
height integer Height
created_at string Created at
updated_at string Updated at

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.